SearchAutomationExecutions
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AutomationExecutionSearch.SearchAutomationExecutions(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.SearchAutomationExecutionsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.automationExecutionSearch.searchAutomationExecutions();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/automation_executions/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"automationTemplateId": "<string>",
"executionId": "<string>",
"executionStepStates": [],
"expandMask": {
"paths": [
"<string>"
]
},
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/automation_executions/search"
payload = {
"automationTemplateId": "<string>",
"executionId": "<string>",
"executionStepStates": [],
"expandMask": { "paths": ["<string>"] },
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [{ "id": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
automationTemplateId: '<string>',
executionId: '<string>',
executionStepStates: [],
expandMask: {paths: ['<string>']},
pageSize: 123,
pageToken: '<string>',
query: '<string>',
refs: [{id: '<string>'}]
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/automation_executions/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expanded": [
{
"@type": "<string>"
}
],
"list": [
{
"automationExecution": {
"automationTemplateId": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"context": {
"context": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"currentVersion": 123,
"deletedAt": "2023-11-07T05:31:56Z",
"duration": "<string>",
"id": "<string>",
"isDraft": true,
"updatedAt": "2023-11-07T05:31:56Z"
},
"automationExecutionTriggerPath": "<string>",
"automationPath": "<string>"
}
],
"nextPageToken": "<string>"
}Automations
Search Automation Executions
Invokes the c1.api.automations.v1.AutomationExecutionSearchService.SearchAutomationExecutions method.
POST
/
api
/
v1
/
automation_executions
/
search
SearchAutomationExecutions
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AutomationExecutionSearch.SearchAutomationExecutions(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.SearchAutomationExecutionsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.automationExecutionSearch.searchAutomationExecutions();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The SearchAutomationExecutionsRequest message.
The automationTemplateId field.
The executionId field.
The executionStepStates field.
Available options:
AUTOMATION_EXECUTION_STATE_UNSPECIFIED, AUTOMATION_EXECUTION_STATE_PENDING, AUTOMATION_EXECUTION_STATE_CREATING, AUTOMATION_EXECUTION_STATE_GET_STEP, AUTOMATION_EXECUTION_STATE_PROCESS_STEP, AUTOMATION_EXECUTION_STATE_COMPLETE_STEP, AUTOMATION_EXECUTION_STATE_DONE, AUTOMATION_EXECUTION_STATE_ERROR, AUTOMATION_EXECUTION_STATE_TERMINATE, AUTOMATION_EXECUTION_STATE_WAITING The AutomationExecutionExpandMask message.
Show child attributes
Show child attributes
The pageSize field.
The pageToken field.
The query field.
The refs field.
Show child attributes
Show child attributes
Was this page helpful?
⌘I